Subject: Re: [L3sm] [netmod] Fwd: New Version Notification - draft-bogdanovic-netmod-yang-model-classification-03.txt

From: Qin Wu <[email-masked]>
Date: Fri, 5 Jun 2015 02:43:56 +0000

Thanks for update. The proposed changes look great.
If my understanding is correct, draft-bogdanovic-netmod-yang-model-classification-02 is not only a good basis for L3SM work but also lay out a good path for YANG Architecture work.
Here are  a few comments on draft-bogdanovic-netmod-yang-model-classification-03:

1.       Section 2, the 1st paragraph:
[Qin]:I think whatever approach we take, high level model should be built on top of lower layer model. usually for the interface between service and network management system, we may consider top down approach, for the interface between network management system and network element, we take bottom up approach, the question is can top down approach be also used for modeling network technology in the southbound interface? E.g., we first have a generic core routing data model and then we have technology specific routing model,e.g., ISIS data model, OSPF modeling, in this case, it seems to me we map generic or technology independent model into technology specific model.

2.       Section 2, the 2nd paragraph:

[Qin]: s/develoment/development

3.  Section 2, the 4th paragraph said:
“
Layering of models allow for reusability of
existing lower layer models in higher level models while limiting
duplication of features across layers.
”
[Qin]: If my understanding is correct, the lower layer model is corresponding to generic model having common building blocks, the higher level model is corresponding to technology specific model which extend from generic model, but I am not sure higher level model can be corresponding to service model since service model just map service requirement to specific network technology model, but not sure how the service model is really reusing existing lower layer model.

4.  Section 2.1, the 1st paragraph:
[Qin]: s/ the Network Element data models of the participating network elements/data models of the participating network elements

5.  Section 3, the 1st paragraph:
[Qin]: what does “at very high level” means? proprietary and standard model being categorized into high level model or model being divided into two type of models in the general sense? I think it is the latter. If the answer is yes, how about change ”At very high level” to “ Generally ”or something else you think appropriate?

6.  Section 3, the 2nd paragraph said:
“
Standard YANG Model: YANG model defined by an Standard Development
      organization (SDO), e.g.  IETF, IEEE.

Standard Extension YANG Model: YANG Model that describes a
     standard extension, example route filter, to standard filter YANG
     model.
”

[Qin]: Not sure router filter to standard filter YANG model is a good example for standard extension YANG model, I think if we choose core routing data model as standard YANG model,  then standard extension YANG model to core routing data model is OSPF YANG data model or ISIS YANG data model.

It is better to describe the relationship between standard YANG model and Standard Extension YANG model in the text. I think Standard YANG model is the basis to build Standard Extension YANG model, Standard YANG model can be regarded as Generic model or lowest level model, standard extension model will extend from standard model with technology specific and can be regarded as technology specific model or higher level model.

7.  Section 3, the 2nd paragraph said:
“
Vendor Configuration Model: It describes all configurable
      capabilities of the device and what device vendor exposes for
      configuration.  The vendor configuration model can be CLI or YANG-
      based.
”
[Qin]: When we say proprietary extensions to standard YANG model must complement the Standard YANG Models to represent a Vendor Configuration Model, how proprietary extensions to standard YANG model is related to Vendor Configuration model?
Can you give a special example for Vendor Configuration model? How Vendor Configuration model is related to Inventory model or network capability model?Is vendor configuration model also Proprietary YANG Model or vendor specific model?

8.       Section 3.4, the 1st paragraph
[Qin]: Is vendor configuration model lowest model in the YANG model layering or superset of all type of YANG models including Standard YANG model, Standard Extension YANG model, Proprietary Extension to Standard YANG Model, Proprietary YANG Model?

Regards!
-Qin
发件人: netmod [mailto:[email-masked]] 代表 Benoit Claise
发送时间: 2015年6月4日 2:58
收件人: NETMOD Working Group
主题: [netmod] Fwd: New Version Notification - draft-bogdanovic-netmod-yang-model-classification-03.txt

FYI.

Regards, Benoit

-------- Forwarded Message --------
Subject:

New Version Notification - draft-bogdanovic-netmod-yang-model-classification-03.txt

Date:

Wed, 3 Jun 2015 11:55:34 -0700

From:

[email-masked]<mailto:[email-masked]>

To:

[email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>

A new version (-03) has been submitted for draft-bogdanovic-netmod-yang-model-classification:

https://www.ietf.org/internet-drafts/draft-bogdanovic-netmod-yang-model-classification-03.txt

The IETF datatracker page for this Internet-Draft is:

https://datatracker.ietf.org/doc/draft-bogdanovic-netmod-yang-model-classification/

Diff from previous version:

https://www.ietf.org/rfcdiff?url2=draft-bogdanovic-netmod-yang-model-classification-03

Please note that it may take a couple of minutes from the time of submission

until the htmlized version and diff are available at tools.ietf.org.

IETF Secretariat.

.

________________________________